cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nikita Timofeev <ntimof...@objectstyle.com>
Subject Java 8
Date Thu, 27 Jul 2017 12:35:50 GMT
Hi all,

There is discussion on dev@list [1], and I want to mention it here too.
The question is simple is it time to drop support for Java 7 out of
Cayenne starting from 4.1 version that is in early development now.
Thus making 4.0 (that is in BETA) last version with support for Java
7.

Main reason is smooth transition to Java 9 that will be ready
hopefully soon and optimization in Cayenne internals.

Any thoughts or concerns?

[1] https://lists.apache.org/thread.html/35fd12dafc30eac3b3390c5ae0ba7bda00185e085af669e4dc5c6fac@%3Cdev.cayenne.apache.org%3E

-- 
Best regards,
Nikita Timofeev

Mime
View raw message